=== debian/changelog ===
kdenlive (0.9.6-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 00:27:22 +0100

kdenlive (0.9.6-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Point debian/watch to new download location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:11:38 +0100

kdenlive (0.9.6-4) unstable; urgency=low

  * Suggest khelpcenter4.
    Closes: #721585

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2013 11:30:20 +0200

kdenlive (0.9.6-3) unstable; urgency=low

  * Move from ffmpeg to avconv.
    Closes: #710419
  * Build depend on libmlt >= 0.9.0.
  * Add patch 01-desktop-keywords to fix lintian warning
    desktop-entry-lacks-keywords-entry.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Aug 2013 11:07:09 +0200

kdenlive (0.9.6-2ubuntu2) trusty; urgency=low

  * Depends on libav-tools (avconv), instead of ffmpeg.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 23 Nov 2013 14:47:35 +0000

kdenlive (0.9.6-2ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
   - add opengl_optional.patch to make opengl optional, for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jun 2013 16:15:06 +0100

kdenlive (0.9.6-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 09:45:55 +0200

kdenlive (0.9.6-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Apr 2013 09:31:57 +0200
