=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 pkg-config,
 cmake,
 kdelibs5-dev,
 libmlt-dev (>= 0.9.0),
 libmlt++-dev (>= 0.9.0),
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libavutil-dev,
 libav-tools,
 libqt4-dev,
 shared-desktop-ontologies,
 libx11-dev,
 libqt4-opengl-dev,
 libqjson-dev,
 hardening-wrapper

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 melt,
 libav-tools
Recommends: swh-plugins,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter4
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1)
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends},
 kdenlive (= ${binary:Version})
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.
