=== src/commands/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  commands/addclipcommand.cpp
  commands/addclipcutcommand.cpp
  commands/addeffectcommand.cpp
  commands/addfoldercommand.cpp
  commands/addmarkercommand.cpp
  commands/addextradatacommand.cpp
  commands/addtimelineclipcommand.cpp
  commands/addtrackcommand.cpp
  commands/addtransitioncommand.cpp
  commands/changecliptypecommand.cpp
  commands/changeeffectstatecommand.cpp
  commands/changespeedcommand.cpp
  commands/configtrackscommand.cpp
  commands/editclipcommand.cpp
  commands/editclipcutcommand.cpp
  commands/editeffectcommand.cpp
  commands/editfoldercommand.cpp
  commands/editguidecommand.cpp
  commands/editkeyframecommand.cpp
  commands/edittransitioncommand.cpp
  commands/groupclipscommand.cpp
  commands/insertspacecommand.cpp
  commands/locktrackcommand.cpp
  commands/moveclipcommand.cpp
  commands/moveeffectcommand.cpp
  commands/movegroupcommand.cpp
  commands/movetransitioncommand.cpp
  commands/razorclipcommand.cpp
  commands/rebuildgroupcommand.cpp
  commands/refreshmonitorcommand.cpp
  commands/resizeclipcommand.cpp
  commands/splitaudiocommand.cpp
  PARENT_SCOPE
)
