=== src/monitor/CMakeLists.txt ===
set(monitor_SRCS
    monitor/abstractmonitor.cpp
    monitor/monitor.cpp
    monitor/monitormanager.cpp
    monitor/monitorscene.cpp
    monitor/recmonitor.cpp

    PARENT_SCOPE
)
