=== src/v4l/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  v4l/v4lcapture.cpp
  PARENT_SCOPE
)
