=== debian/changelog ===
kdenlive (0.9.8-1ubuntu2~ubuntu14.04~ppa1) trusty; urgency=medium

  * Trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Aug 2014 18:32:49 +0200

kdenlive (0.9.8-1ubuntu2) utopic; urgency=medium

  * Add kubuntu_armhf-missing-include.diff to fix compile failure

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Aug 2014 19:06:51 +0200

kdenlive (0.9.8-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 18 May 2014 11:21:43 +0200

kdenlive (0.9.8-1) unstable; urgency=medium

  * New upstream release.
    - Use profiles from mlt.
      Closes: #739878
    - Locales have been removed in this release.
  * Use debian/clean instead of overwriting dh_auto_clean.
  * Overwrite debian-watch-may-check-gpg-signature warning. There is no GPG
    signature available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 May 2014 15:42:18 +0200
