## kdenlive 0.9.10

=== debian/changelog ===
kdenlive (0.9.10-2) unstable; urgency=medium

  * Add libv4l-dev as build dependency for webcam support.
  * Exclude docbook files from dh_compress.
    Closes: #765974

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 18:25:52 +0100

kdenlive (0.9.10-1) unstable; urgency=medium

  * New upstream release.
    - Locales are again in the release tarball.
    - Refresh patch 01-desktop-keywords.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 27 Sep 2014 11:29:48 +0200

kdenlive (0.9.8-2) unstable; urgency=medium

  * Removed build depends on libav.
    Closes: #748277
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Remove build depends on hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Sep 2014 19:57:52 +0200
