=== debian/control ===
--- 
+++ 
@@ -1,27 +1,22 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
  pkg-config,
  cmake,
  kdelibs5-dev,
  libmlt-dev (>= 0.9.0),
  libmlt++-dev (>= 0.9.0),
- libavcodec-dev,
- libavformat-dev,
- libavdevice-dev,
- libavutil-dev,
  libav-tools,
  libqt4-dev,
  shared-desktop-ontologies,
  libx11-dev,
+ libv4l-dev,
  libqt4-opengl-dev,
- libqjson-dev,
- hardening-wrapper
+ libqjson-dev
 
 Package: kdenlive
 Architecture: any
