=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
 
 EXTRAFLAGS :=
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
@@ -14,6 +13,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRAFLAGS)
 
+override_dh_compress:
+	dh_compress -X.docbook
+
 override_dh_install:
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
 	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
