## kdenlive 15.08.2.1~really15.08.1

=== debian/changelog ===
kdenlive (4:15.08.2.1~really15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 20 Oct 2015 09:30:51 +0100

kdenlive (4:15.08.2.1~really15.08.1-0ubuntu1) wily; urgency=medium

  * Revert back to 15.08.1 for https://bugs.kde.org/show_bug.cgi?id=354045

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Oct 2015 23:05:57 +0100

kdenlive (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:19:36 +0100

kdenlive (4:15.08.1-0ubuntu2) wily; urgency=medium

  * Add back kubuntu_use_gles_on_armhf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2015 11:43:29 +0100

kdenlive (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:43:06 +0100

kdenlive (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Link with the OpenGLES libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 18:17:57 +0200

kdenlive (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:22:49 +0100

kdenlive (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:46:52 +0100

kdenlive (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Fix build on armhf by adding kubuntu_use_gles_on_armhf.diff:
      - Add FindOpenGLES.cmake
      - Only look for OpenGL if QtOpenGL is built against it, otherwise use
        OpenGLES

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jul 2015 20:11:44 +0200

kdenlive (4:15.04.2-0ubuntu1) wily; urgency=medium

  * Fix watch file 
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 18:53:45 +0200

kdenlive (0.9.50-0ubuntu1) UNRELEASED; urgency=medium

  * KDE Frameworks 5 port

 -- Harald Sitter <sitter@kde.org>  Fri, 13 Feb 2015 17:30:09 +0100

kdenlive (0.9.10-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1402216, #1346733)
    Remaining changes:
    - debian/patches/opengl_optional.patch:
      + Make opengl optional for ARM.
  * debian/patches/kubuntu_armhf-missing-include.diff:
    - Dropped, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 19 Dec 2014 16:52:41 +0100
